name: hwinfo
old_version: 21.47
new_version: 21.70
interface_differences:
- type: 'feature'
  item: RISC-V
  diff: src/hd/cpu.c添加了RISC-V支持
  influence: 功能增强
- type: 'feature'
  item: 支持SMBIOS 3.0规范
  diff: src/hd/bios.c允许DMI记录任意64位地址
  influence: 功能增强
- type: 'feature'
  item: 新增src/ids/update_pci_usb脚本
  diff: 更新pci和usb的ID
  influence:功能增强
- type: 'feature'
  item: mdio上添加网络接口
  diff: src/hd/pci.c在mdio上添加网络接口，从Sysfs获取Mdio数据
  influence:功能增强
- type: 'ABI'
  item: 新增hd_read_visorbus
  diff: 从新路径读取硬件信息/sys/bus/visorbus/devices
  influence:功能增强
- type: 'ABI'
  item: pif_usb_e新增一个常量
  diff: 添加xhci接口常量pif_usb_xhci = 0x30
  influence:功能增强
remark: '仅有新增功能，对原有使用者无影响'